package com.persagy.apm.energy.report.monthly.outline.service.impl;

import com.persagy.apm.energy.report.monthly.detail.business.model.*;
import com.persagy.apm.energy.report.monthly.detail.business.model.dto.AddReportBusinessDetailDTO;
import com.persagy.apm.energy.report.monthly.detail.business.model.vo.CostVO;
import com.persagy.apm.energy.report.monthly.detail.business.model.vo.PowerVO;
import com.persagy.apm.energy.report.monthly.detail.business.service.IReportBusinessDetailService;
import com.persagy.apm.energy.report.monthly.outline.constants.BusinessReportParagraphs;
import com.persagy.apm.energy.report.monthly.outline.constants.enums.ReportStateEnum;
import com.persagy.apm.energy.report.monthly.outline.model.ReportOutline;
import com.persagy.apm.energy.report.monthly.outline.service.IBusinessReportCostInfoService;
import com.persagy.apm.energy.report.monthly.outline.service.IBusinessReportPlatformInfoService;
import com.persagy.apm.energy.report.monthly.outline.service.IBusinessReportPowerInfoService;
import com.persagy.apm.energy.report.monthly.outline.service.IReportOutlineService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.interceptor.TransactionAspectSupport;

import java.util.List;

/**
 * 商业项目报告生成类
 *
 * @author lixing
 * @version V1.0 2021/5/12 2:53 下午
 **/
@Component
@Slf4j
public class BusinessAreaReportGenerator extends BusinessReportBuilder{

}
